2 Replies Latest reply on Apr 27, 2015 8:30 AM by Bruce Perry

    How do I select and set the justification of a cell in my revision block.

    Bruce Perry

      I created code that will delete the standard revision table and insert a new one and then add a new revision which in turn adds the no., and date. I then add the description Preliminary, I would like to left justify preliminary. Below is a piece of the code:

       

      'Drawing has a new Revision Block with a new name::get name

          Set swAnn = currentSheet.RevisionTable.GetAnnotation 'Get new Revision Block name

              MyTableName = swAnn.GetName + "@" + currentSheet.GetName

       

          boolstatus = swModel.Extension.SelectByID2(MyTableName, "REVISIONTABLE", 0, 0, 0, False, 0, Nothing, 0)

              longstatus = myRevisionTable.AddRevision("") 'Add revision

                   

          Set MyTable = swModel.SelectionManager.GetSelectedObject5(1)

      'Variable set below update as needed

              MyTable.Text(1, 2) = "PRELIMINARY" 'Row 2 third column to the right

              MyTable.Text(1, 1) = "X1"

              'MyTable.Text(1, 4) = ""                    'Row 2 fifth column to the right

              'MyTable.Text(1, 5) = ""                 'Row 2 sixth column to the right